Bug 169735 - Review Request: tetex-fontools - Tools to simplify using fonts.
Review Request: tetex-fontools - Tools to simplify using fonts.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sarantis Paskalis
David Lawrence
http://texcatalogue.sarovar.org/entri...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-02 10:08 EDT by Michael A. Peters
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-10 12:58:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
specfile patch: package version, url, ... (1.61 KB, patch)
2005-10-07 23:06 EDT, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Michael A. Peters 2005-10-02 10:08:20 EDT
Spec Name or Url: http://mpeters.us/fc_extras/tetex-fontools.spec
SRPM Name or Url: http://mpeters.us/fc_extras/tetex-fontools-1.0-1.src.rpm
Description:

This package provides a few tools to ease using fonts (especially
TrueType/OpenType ones) with LaTeX and fontinst.

-=-

What this package does - it is a set of perl wrapper scripts that does various stuff to help ease the installation of fonts into the latex2e system by automating a lot of mundane stuff.

Of particular usefulness is the autoinst program that wraps around otftotfm to take a set of type1 outline otf fonts, generates the tfm and vf and related files, generates the .fd files, and generates a .sty file for the font family.
Comment 1 Michael A. Peters 2005-10-03 08:38:00 EDT
For reviewers -
to test this package on T1 outline OpenType font families, Acrobat 7.0.1 for x86
Linux comes with some - /usr/local/Adobe/Acrobat7.0/Resource/Font/

Acrobat has three otf families with several fonts in there that can be played
with: CourierStd, MinionPro, MyriadPro

something like

mkdir -p /tmp/{tfm,vf,type1,enc}
export TFMDESTDIR="/tmp/tfm"
export VFDESTDIR="/tmp/vf"
export T1DESTDIR="/tmp/type1"
export ENCODINGDESTDIR="/tmp/enc"
OTFOPTS="--no-updmap"
autoinst --extra="${OTFOPTS}" /usr/local/Adobe/Acrobat7.0/Resource/Font/MyriadPro*

should demonstrate it (it'll leave a .fd, .map, and .sty file in the directory
it is called from)
Comment 2 Michael A. Peters 2005-10-03 19:51:35 EDT
New upstream that fixes the case sensitivity issue

http://mpeters.us/fc_extras/tetex-fontools-1.0-2.src.rpm
http://mpeters.us/fc_extras/tetex-fontools.spec
Comment 3 Michael A. Peters 2005-10-05 08:15:02 EDT
Fixed a missing requires (causes mock to fail when building an rpm that installs
a ttf flavored OpenType font)

http://mpeters.us/fc_extras/tetex-fontools-1.0-3.src.rpm
http://mpeters.us/fc_extras/tetex-fontools.spec
Comment 4 Sarantis Paskalis 2005-10-07 07:28:54 EDT
Good:

- rpmlint checks return nothing.
- package meets naming guidelines
- package meets packaging guidelines
- license ( ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package noarch
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

TODO:
- tetex-fonts is both Required directly by package name and indirectly through
the texhash dependancy.  I think one of them is enough.
- In the %files section, replace the %{_texmf}/doc/ with the spec-defined
%{texpkgdoc}.  The former is wrong, since it also includes the latex directory.
- (minor) The date in the downloaded fontools.zip file is different than the one
I get.  I am not sure if this is a ctan problem or whether it can be corrected
(e.g. using wget -N).

With these remarks taken care of, the package is approved.

Comment 5 Michael A. Peters 2005-10-07 08:19:01 EDT
http://mpeters.us/fc_extras/tetex-fontools-1.0-3.9.src.rpm
http://mpeters.us/fc_extras/tetex-fontools.spec

tetex-fonts dependency removed
zip file redownloaded with wget -N

-=-
With respect to the tex doc dir, the reason I do it that way is because if the
%{texpkgdoc} macro is used and the user does not have tetex-doc package
installed, then uninstall is not clean because it leaves the latex directory
unowned by anything.

My first tetex package - tetex-prosper - I did it the way suggested but was
instructed to either
a) require tetex-doc (a huge package many users don't want)
b) change it to %{_texmf}/doc/ so that it would uninstall cleanly if no other
package was installed that owned /usr/share/texmf/doc/latex

Another extras package by a packaging veteran that does it same way:
tetex-perltex (maintained by Jose Pedro Oliveira)

I've put him on the cc list
Comment 6 Michael A. Peters 2005-10-07 08:20:38 EDT
Edit - I'll import as release 4 not 3.9 when the proper way to specify the
texdoc documentation directory this is resolved.
Comment 7 Sarantis Paskalis 2005-10-07 15:16:04 EDT
If tetex-doc is not present, then the package must also own %{texmf}/doc, since
this directory is also not owned by tetex.

Alternatively, the documentation could be put at %doc or even not included at
all (it is only pdf versions of the man pages).


 
Comment 8 Jose Pedro Oliveira 2005-10-07 22:36:11 EDT
(In reply to comment #7)
 
> Alternatively, the documentation could be put at %doc or even not included at
> all (it is only pdf versions of the man pages).

No. We should follow LaTeX conventions here and place documentation in
directories known by the texdoc utility (and indexed by the texhash utility). At
the present
the texdoc utility looks for documents in $TEXDOCS which defaults to $TEXMF/doc.
Comment 9 Jose Pedro Oliveira 2005-10-07 22:44:17 EDT
(In reply to comment #4)
> TODO:
> - tetex-fonts is both Required directly by package name and indirectly through
> the texhash dependancy.  I think one of them is enough.

Just a note for older Fedora versions (not FC3 and FC4): the texhash utility has
been shuffled around - nowadays it is provided by the tetex-fonts rpm but in FC1
it was provided by the tetex rpm.
Comment 10 Jose Pedro Oliveira 2005-10-07 23:06:41 EDT
Created attachment 119727 [details]
specfile patch: package version, url, ...

Michael,

A couple of remarks about the specfile:

1) version tag

   As the fontools author doesn't provide versions I would recommend using the
   CTAN import date.  Looking at the contents of 
   http://www.ctan.org/tex-archive/fonts/utilities/fontools/
   it should be 20051003.

   See bash-completion for an example of this versioning mechanism.

2) URL tag (personnal preference)

   Changed the URL to the main CTAN site (www.ctan.org).

3) Source file name (.zip)

   Use the same date as in 1).

4) install command

   When using the install command to copy files, it would be nice to preserve
   the files timestamps (-p option).

See the attached patch.
Comment 12 Sarantis Paskalis 2005-10-08 10:01:06 EDT
Approved.
Comment 13 Michael A. Peters 2005-10-10 12:58:23 EDT
imported into CVS, branched, owners list updated, builds on FC-3,FC-4,devel

Note You need to log in before you can comment on or make changes to this bug.